Check a business name
curl --request POST \
--url https://api.fastcac.com/v1/name-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ada Foods Ventures",
"line_of_business": "Educational Services And Consultancy"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ada Foods Ventures',
line_of_business: 'Educational Services And Consultancy'
})
};
fetch('https://api.fastcac.com/v1/name-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/name-checks"
payload = {
"name": "Ada Foods Ventures",
"line_of_business": "Educational Services And Consultancy"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/name-checks"
payload := strings.NewReader("{\n \"name\": \"Ada Foods Ventures\",\n \"line_of_business\": \"Educational Services And Consultancy\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/name-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Ada Foods Ventures',
'line_of_business' => 'Educational Services And Consultancy'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "name_check",
"name": "ADA FOODS VENTURES",
"line_of_business": "Educational Services And Consultancy",
"available": true,
"requires_certificate": false,
"reason": null,
"similarity_score": 12.5,
"most_similar_name": null,
"similar_names": [],
"suggested_names": []
}Name checks
Check a business name
POST
/
name-checks
Check a business name
curl --request POST \
--url https://api.fastcac.com/v1/name-checks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ada Foods Ventures",
"line_of_business": "Educational Services And Consultancy"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ada Foods Ventures',
line_of_business: 'Educational Services And Consultancy'
})
};
fetch('https://api.fastcac.com/v1/name-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fastcac.com/v1/name-checks"
payload = {
"name": "Ada Foods Ventures",
"line_of_business": "Educational Services And Consultancy"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fastcac.com/v1/name-checks"
payload := strings.NewReader("{\n \"name\": \"Ada Foods Ventures\",\n \"line_of_business\": \"Educational Services And Consultancy\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fastcac.com/v1/name-checks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Ada Foods Ventures',
'line_of_business' => 'Educational Services And Consultancy'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "name_check",
"name": "ADA FOODS VENTURES",
"line_of_business": "Educational Services And Consultancy",
"available": true,
"requires_certificate": false,
"reason": null,
"similarity_score": 12.5,
"most_similar_name": null,
"similar_names": [],
"suggested_names": []
}Authorizations
Your secret API key: fc_test_… in test mode, fc_live_… in live mode.
Query Parameters
Test keys only: force an outcome (available, requires_certificate, or a reason code such as name_exists). Ignored with a live key.
Body
application/json
Response
Successful Response
The name as CAC will record it (upper case, single spaces).
Available, but CAC will want a professional certificate (upload it as a supporting_document).
Why it isn't available; null when it is.
Show child attributes
Show child attributes
How close (0-100) the nearest registered name is.
Names to try instead.
Allowed value:
"name_check"